[weboob] [Patch] Missing requirements in setup.py

Laurent Bachelier laurent at bachelier.name
Wed Oct 5 11:49:57 CEST 2016


On 2016-10-04 03:19, Phyks wrote:
> Hi,
> 
> I am not sure this is the correct way to handle it, but some
> dependencies were not being installed by a "python setup.py install".
> 
> Typically, html2text and BeautifulSoup were required by some modules and
> were not installed.
> 

Our dependencies are more of a "minimal requirements"
 (confirmed by https://packaging.python.org/requirements/).
html2text is used by a standard filter (CleanHTML) and used by many
modules, so it should probably be added.

However BeautifulSoup (version 3) is used only by one module, and we'd
probably discourage using something other than Browser2+xpath for new
modules.

So, please submit again but with html2text only!



More information about the weboob mailing list